html, body
{
	height: 100%;
}
::-webkit-scrollbar
{
  width: 10px !important;  /* for vertical scrollbars */
  height: 12px !important; /* for horizontal scrollbars */
}
::-webkit-scrollbar-track { background: var(--bs-white) !important; }
::-webkit-scrollbar-thumb {
  background: var(--bs-lighter) !important;
}
body::-webkit-scrollbar-track { background: var(--bs-lighter) !important; }
body::-webkit-scrollbar-thumb {
  background: var(--bs-dark) !important;
}
.font-0 {
	font-size: 0;
}
.font-inherit {
	font-size: 1rem;
}

.rounded-top-0 {
	border-top-left-radius: 0 !important;
	border-top-right-radius: 0 !important;
}
.rounded-bottom-0 {
	border-bottom-left-radius: 0 !important;
	border-bottom-right-radius: 0 !important;
}

.letter-spacing-01 {
	letter-spacing: 0.1em;
}
.scopeWrapper * {
	color:#000;
}
.rounded-left-bottom {
    border-radius: 0 0 0 .375rem !important;
}

/*a {
  color: #e6007e;
}

a:hover {
  color: #c90579;
}
*/
button[data-text-one] *
{
	pointer-events: none;
}
/* Custom styles */
.col-1, .col-2, .col-3, .col-4, .col-5, .col-6, .col-7, .col-8, .col-9, .col-10, .col-11, .col-12, .col, .col-auto, .col-sm-1, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm, .col-sm-auto, .col-md-1, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-10, .col-md-11, .col-md-12, .col-md, .col-md-auto, .col-lg-1, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg, .col-lg-auto, .col-xl-1, .col-xl-2, .col-xl-3, .col-xl-4, .col-xl-5, .col-xl-6, .col-xl-7, .col-xl-8, .col-xl-9, .col-xl-10, .col-xl-11, .col-xl-12, .col-xl, .col-xl-auto,
.col-fifth, .col-seventh, .col-eight, .col-ninth, .col-tenth, .col-eleventh,
.col-sm-fifth, .col-sm-seventh, .col-sm-eight, .col-sm-ninth, .col-sm-tenth, .col-sm-eleventh,
.col-md-fifth, .col-md-seventh, .col-md-eight, .col-md-ninth, .col-md-tenth, .col-md-eleventh,
.col-lg-fifth, .col-lg-seventh, .col-lg-eight, .col-lg-ninth, .col-lg-tenth, .col-lg-eleventh,
.col-xl-fifth, .col-xl-seventh, .col-xl-eight, .col-xl-ninth, .col-xl-tenth, .col-xl-eleventh
{
    position: relative;
    width: 100%;
    padding-right: 1rem;
    padding-left: 1rem;
}
.col-auto {
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: auto !important;
    max-width: 100%;
}

.stretched-link {
    position: relative;
    display: inline-block;
}

/* Custom cols */
.col-fifth{-webkit-box-flex: 0;-ms-flex: 0 0 calc 20%;flex: 0 0 20%;max-width: 20%}
.col-seventh{-webkit-box-flex: 0;-ms-flex: 0 0 14.286%;flex: 0 0 14.286%;max-width: 14.286%}
.col-eighth{-webkit-box-flex: 0;-ms-flex: 0 0 12.5%;flex: 0 0 12.5%;max-width: 12.5%}
.col-ninth{-webkit-box-flex: 0;-ms-flex: 0 0 11.111%;flex: 0 0 11.111%;max-width: 11.111%;}
.col-tenth{-webkit-box-flex: 0;-ms-flex: 0 0 10%;flex: 0 0 10%;max-width: 10%;}
.col-eleventh{-webkit-box-flex: 0;-ms-flex: 0 0 9.0909%;flex: 0 0 9.0909%;max-width: 9.0909%;}
/* Custom cols end */


/* Positions */
.left-0
{
	left:0;
}
.right-0
{
	right:0;
}
.top-0
{
	top:0;
}
.bottom-0
{
	bottom:0;
}
/* Positions */
.bootstrap-select > .dropdown-menu
{
	/* max-width: 100%; */
}
.dropdown-item
{
	/*white-space: normal !important;*/
}

.dropdown-menu.show
{
	z-index: 999999;
}
.input-group-sm>.custom-select, .input-group-sm>.form-control, .input-group-sm>.input-group-append>.btn, .input-group-sm>.input-group-append>.input-group-text, .input-group-sm>.input-group-prepend>.btn, .input-group-sm>.input-group-prepend>.input-group-text
{
	line-height: inherit;
}
.custom-control.image-checkbox label
{
	width: 100%
}
.small-gap
{
	margin-left: -0.5rem;
	margin-right: -0.5rem;
}
.small-gap .col
{
	padding-left: 0.5rem;
	padding-right: 0.5rem;
}
.addInfoboxes * {
    line-height: 1 !important;
}

.d-flex.align-items-stretch > .card
{
	width: 100%;
}

.btn, .scrollable
{
	position: relative;
}

.btn-success.disabled, .btn-success:disabled {
    color: #fff;
	background-color: #ccc;
	border-color: #ccc;
}
.info-card
{
	/*overflow: hidden;*/
}
.page-wrapper {
	width: calc(100% - 192px);
	display: inline-block;
	margin: 0;
	margin-left: auto;
	padding: 2rem 1rem 0 1rem;
	z-index: 0;
}
.top-side
{
	width: auto;
	min-width: 192px;
	max-width: 192px;
  display: inline-block;
  position: relative;
	top:0;
	left: 0;
  margin: 0;
	z-index: 1;
	transition: all .3s ease-in-out;
	-webkit-transition: all .3s ease-in-out;
}

.dark-overlay::before
{
	content: "";
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	background: rgba(0,0,0,0.1);
}
/*.container-fluid {
    padding-right: 30px;
    padding-left: 30px;
}
*/
body.logIn .page-wrapper > .container-fluid {
	min-height: 100vh;
}

.page-wrapper > .container-fluid {
	min-height: calc( 100vh - 82px ) ;
}
.dropdown-toggle
{
	cursor: pointer;
}
.logo-321-webadmin {
	position: relative;
  min-height: 72px;
  z-index: 99;
}
.logo-321-webadmin > a {
	position: relative;
	display: inline-block;
	top: 20px;
}
.logo-321-webadmin > a > svg
{
	width: 52px;
	height: 33px;
}

.navigation-menu
{
	/*font-size: 0.8rem;*/
}
.navigation-menu a {
	position: relative;
	display: block;
  color: inherit;
	text-decoration: none !important;
	text-align: left;
}
.navigation-menu a:hover,
.navigation-menu a.active, .navigation-menu a.selected
{
	color: var(--bs-primary);
	text-decoration: none !important;
}

.navigation-menu .menu-item
{
	position: relative;
	width: 100%;
	margin-bottom: 1rem;
	padding: 0 1rem;
	transition: all .2s ease-in;
	-webkit-transition: all .2s ease-in-out;
}
.navigation-menu .menu-item > .row > [aria-expanded="true"] [class*="fa-"]::before {
	content: '\f106';
}
.sub-menu
{
	width: 100%;
	position: relative;
	display: block;
	z-index: 9999;
	background: #fff;
	padding: 0;
	border: none !important;
	float: none !important;
	font-size: inherit !important;
	color: inherit !important;
	text-align: inherit !important;
	list-style: none !important;
}

.sub-menu-title {
	position: relative;
	width: 100%;
	min-height: calc(72px - 2rem);
	margin-bottom: 2rem;
	z-index: 99;
}
.sub-menu-item > .sub-menu {
  top: 0;
}
.sub-menu .sub-menu-item:first-child { margin-top: .5rem }
.sub-menu .sub-menu-item:last-child { margin-bottom: .5rem }
.navigation-menu .sub-menu-item {
	width: 100%;
	display: block;
	padding: 0.25rem 0;
}
.navigation-menu .sub-menu-item a {
	width: auto;
	height: auto;
	color: var(--bs-body-color);
	line-height: 1.2;
  font-size: .875rem;
}
.navigation-menu .sub-menu-item a i[class*="fa-"] {
	color: var(--bs-primary);
}
.navigation-menu .sub-menu-item a:hover, .navigation-menu .sub-menu-item a.active, .navigation-menu .sub-menu-item a.selected {
	color: var(--bs-primary);
}
.menu-item > .sub-menu.show, .sub-menu-item > .sub-menu.show
{

}
.mobile-menu-toggle
{
	cursor: pointer;
}
.show-menu
{
	display: block !important;
	position: absolute;
	z-index: 9999;
	max-width: 320px;
	right: 0;
	top: 66px;
	background:#fff;
	border: 1px solid #dee2e6 !important;
}
.show-menu .sub-menu
{
	position: relative;
	z-index: 9999;
	background:#fff;
	display: block;
	border-radius: .25rem;
	border: 0px solid transparent !important;
}
.show-menu .sub-menu-item a
{
	padding-left: 1.5rem;
}

.fa, .fab, .fal, .far, .fas
{
	line-height: 1.4999 !important;

}

/* Backgrounds */
.bg-advanced {
	border: 1px dashed var(--bs-gray);
	--bs-light: var(--bs-gray-light);
	--bs-dark: var(--bs-gray);
}
.advanced-item-input, .advanced-item-input:hover, .advanced-item-input:focus {
	color: var(--bs-gray) !important;
	border: 1px dashed var(--bs-gray) !important;
}
.advanced-item .control-label {
	color: var(--bs-gray) !important;
}
.advanced-item .form-control {
	border: 1px dashed var(--bs-gray) !important;
	color: var(--bs-gray) !important;
}
[class*="admin-user-value"].form-control {
	color: var(--bs-gray) !important;
}


/* Form */
.form-group .btn {
  padding: 0.5rem 0.75rem;
}
.form-group .btn-sm {
	font-size: .75rem;
	padding: 0.25rem 0.75rem;
}
.form-group .btn-group-sm > .btn {
	font-size: .75rem;
	padding: 0.25rem 0.75rem;
}
.form-group .btn > [class*="fa-"] {
	position: relative;
}


[class*="icon"] {
	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;
	width: auto;
	height: auto;
	text-decoration: none;
	outline: none;
	-webkit-appearance: none;
	transition: background-color .2s ease-in-out;
	-webkit-transition: background-color .2s ease-in-out;
}
[class*="icon"]:not(.btn) {
	border:none;
}
[class*="icon"]:not(.btn):focus {
	background: inherit;
	color: inherit;
	outline: none;
	border: none;
}
[class*="icon"].btn {
	padding: 0;
}
.icon-24 {
	width: 24px;
	height: 24px;
	font-size: .875rem;
}
.icon-24.smallest { font-size: .5rem; }
.icon-32 {
	width: 32px;
	height: 32px;
	font-size: 1rem;
}
.icon-32.small { font-size: .875rem; }
.icon-32.smallest { font-size: .5rem; }
.icon-40 {
	width: 40px !important;
	height: 40px !important;
	font-size: 1rem !important;
}
.icon-square {
	border-radius: .375rem !important;
	text-decoration: none !important;
}
.nav-tabs > [class*="col-"] > .icon-square
{
	border-radius: 0.375rem 0.375rem 0 0 !important;
}
.icon-square.bg-light {
	background: var(--bs-light) !important;
}
.icon-square.bg-primary {
	background: var(--bs-primary) !important;
}
.icon-square.cursor-pointer:hover, .icon-square.cursor-pointer[aria-expanded="true"] {
	color: var(--bs-dark) !important;
	background: var(--bs-light) !important;
	text-decoration: none !important;
}
.icon-square.bg-light.cursor-pointer:hover, .icon-square.bg-light.cursor-pointer[aria-expanded="true"] {
	color: var(--bs-white) !important;
	background: var(--bs-primary) !important;
	text-decoration: none !important;
}
.icon-square.bg-primary.cursor-pointer:hover, .icon-square.bg-primary.cursor-pointer[aria-expanded="true"] {
	color: var(--bs-white) !important;
	background: var(--bs-primary-hover) !important;
	text-decoration: none !important;
}
.card-header, .card-footer {
  background-color: rgba(0, 0, 0, 0.0);
}
.card-header {
    background-color: rgba(0, 0, 0, 0.0);
    letter-spacing: 0.1em;
}
.plus-card-bottom > .card {
	margin-bottom: -2rem !important;
	border-bottom-left-radius: 0 !important;
	border-bottom-right-radius: 0 !important;
}

/* dropdowns */
.dropdown-toggle::after {
	content:'\f107';
	font-family: 'Font Awesome 6 Sharp';
	border: none !important;
	font-weight: 900;
	font-size: 80%;
	color: var(--bs-primary);
}
.bootstrap-select .dropdown-toggle:focus, .bootstrap-select>select.mobile-device:focus+.dropdown-toggle {
	outline: none !important;
}
.droprightup .dropdown-menu {
	display: block;
	top: auto !important;
  bottom: 0 !important;
  margin-left: 0.5rem;
  border: none !important;
	background: var(--bs-white);
  color: var(--bs-body-color) !important;
  padding: 0 !important;
	border-radius: .375rem;
	box-shadow: 4px 0px 15px -10px rgba(13,110,253,0.2), 0px 25px 30px -10px rgba(13,110,253,0.1) !important;
	opacity: 0;
	visibility: hidden;
	transition: opacity .2s ease-in-out;
	-webkit-transition: opacity .2s ease-in-out;
	pointer-events: none;
	transform: translate3d(40px, 0, 0px) !important;
	-webkit-transform: translate3d(40px, 0, 0px) !important;
}
.droprightup .dropdown-menu.show {
	opacity: 1;
	visibility: visible;
	pointer-events: auto;
}
.droprightup .dropdown-menu.dropdown-primary {
	background: var(--bs-primary);
  color: var(--bs-white) !important;
}
.droprightup .dropdown-menu .dropdown-header {
	padding: 1rem;
	font-size: 1rem;
	color: inherit;
	border-radius: .375rem .375rem 0 0;
}
.droprightup .dropdown-menu .dropdown-header.bg-primary {
	color: var(--bs-white)
}
.droprightup .dropdown-menu .dropdown-item {
	padding: .5rem 1rem;
	color: inherit;
}
.droprightup .dropdown-menu .dropdown-item:hover, .droprightup .dropdown-menu .dropdown-item:focus {
	background-color: inherit;
	color: var(--bs-primary);
}
.droprightup .dropdown-menu.dropdown-primary .dropdown-item:hover, .droprightup .dropdown-menu.dropdown-primary .dropdown-item:focus {
	background-color: var(--bs-white);
	color: var(--bs-primary);
}
.droprightup .dropdown-menu .dropdown-item:first-child {
	padding-top: 1rem;
}
.droprightup .dropdown-menu .dropdown-item:last-child {
	border-radius: 0 0 .375rem .375rem;
	padding-bottom: 1rem;
}
.dropright .dropdown-menu {
  border: none !important;
	background: var(--bs-white);
  color: var(--bs-body-color) !important;
  padding: 0 !important;
	border-radius: .375rem;
	box-shadow: 4px 0px 15px -10px rgba(13,110,253,0.2), 0px 25px 30px -10px rgba(13,110,253,0.1) !important;
	opacity: 0;
	visibility: hidden;
	transition: opacity .2s ease-in-out;
	-webkit-transition: opacity .2s ease-in-out;
	pointer-events: none;
}
.dropup .dropdown-menu {
  border: none !important;
	background: var(--bs-white);
  color: var(--bs-body-color) !important;
  padding: 0 !important;
	border-radius: .375rem;
	box-shadow: 4px 0px 15px -10px rgba(13,110,253,0.2), 0px 25px 30px -10px rgba(13,110,253,0.1) !important;
	opacity: 0;
	visibility: hidden;
	transition: opacity .2s ease-in-out;
	-webkit-transition: opacity .2s ease-in-out;
	pointer-events: none;
}
.dropright .dropdown-menu.show, .dropup .dropdown-menu.show {
	opacity: 1;
	visibility: visible;
	pointer-events: auto;
	box-shadow: 0 5px 15px rgba(13,110,253,0.1), 0 2px 15px rgba(13,110,253,0.05) !important;
}
.dropup .dropdown-menu.dropdown-primary {
	background: var(--bs-primary);
  color: var(--bs-white) !important;
}
.dropup .dropdown-menu.dropdown-primary .dropdown-item {
	color: var(--bs-white) !important;
}
.dropup .dropdown-menu .dropdown-header {
	padding: 1rem;
	font-size: 1rem;
	color: inherit;
	border-radius: .375rem .375rem 0 0;
}
.dropup .dropdown-menu .dropdown-header.bg-primary {
	color: var(--bs-white)
}
.dropup .dropdown-menu .dropdown-item {
	padding: .5rem 1rem;
	color: inherit;
}
.dropup .dropdown-menu .dropdown-item:hover, .droprightup .dropdown-menu .dropdown-item:focus {
	background-color: inherit;
	color: var(--bs-primary);
	background-color: var(--bs-light-blue);
}
.dropup .dropdown-menu.dropdown-primary .dropdown-item:hover, .droprightup .dropdown-menu.dropdown-primary .dropdown-item:focus {
	background-color: var(--bs-primary-hover) !important;
	color: var(--bs-white) !important;
}
.dropup ul.dropdown-menu li .dropdown-item {
	padding: .5rem 1rem;
}
.dropup .dropdown-menu .dropdown-item:first-child, .dropup ul.dropdown-menu li:first-child .dropdown-item {
	border-radius: .375rem .375rem 0 0;
	padding-top: 1rem;
}
.dropup .dropdown-menu .dropdown-item:last-child, .dropup ul.dropdown-menu li:last-child .dropdown-item {
	border-radius: 0 0 .375rem .375rem;
	padding-bottom: 1rem;
}
.dropup ul.dropdown-menu .dropdown-item:first-child {
	border-radius: 0;
	padding-top: .5rem;
}
.dropup ul.dropdown-menu .dropdown-item:last-child {
	border-radius: 0;
	padding-bottom: .5rem;
}
.dropdown-menu .nav-item {
	border-radius: .25rem;
	background-color: transparent;
}
.dropdown-menu .nav-item:hover {
	border-radius: .25rem;
	background-color: var(--bs-light-blue);
}
.dropdown-menu .nav-item > .btn {
	width: 100%;
	text-align: left;
}

/* Tabs */
.nav-tabs.nav-tabs-info .nav-item .nav-link {
  color: var(--bs-gray);
  background: var(--bs-light);
  border: 1px solid var(--bs-light);
}
.nav-tabs.nav-tabs-info .nav-item.show .nav-link, .nav-tabs.nav-tabs-info .nav-link.active {
  color: var(--bs-dark);
  background: var(--bs-white);
  border: 1px solid var(--bs-white);
}

/* Collapse */
[data-toggle="collapse"][aria-expanded="true"] [class*="fa-angle-down"]::before {
	content:'\f106';
}

/* Modal */
.modal-content {
	border: 1px solid var(--bs-white);
	border-radius: .375rem;
	box-shadow: 4px 0px 15px -10px rgba(13,110,253,0.2), 0px 25px 30px -10px rgba(13,110,253,0.1) !important;
}
.modal-header { border-bottom: none; }

/*.bg-darker,
.card-footer.bg-darker
{
	background-color: rgba(0,0,0,.05) !important;
}*/
.bg-darker::before, .card-footer.bg-darker::before {
    background-color: rgba(0,0,0,.05) !important;
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: block;
}
.tooltip {
	pointer-events: none;
}
.tooltip-inner {
	color: var(--bs-white);
  background-color: var(--bs-dark);
	font-size: 80%;
}
.tooltip.bs-tooltip-right .arrow:before {
    border-right-color: var(--bs-dark) !important;
}
.tooltip.bs-tooltip-left .arrow:before {
    border-left-color: var(--bs-dark) !important;
}
.tooltip.bs-tooltip-bottom .arrow:before {
    border-bottom-color: var(--bs-dark) !important;
}
.tooltip.bs-tooltip-top .arrow:before {
    border-top-color: var(--bs-dark) !important;
}

.btn-sm, .btn-group-sm > .btn {
  padding: .188rem .5rem;
  font-size: .875rem;
  line-height: 1.5;
  border-radius: 0.375rem;
}
.btn-sm > [class*="fa-"], .btn-group-sm > .btn > [class*="fa-"] {
	font-size: 1rem;
}
.btn[aria-expanded="true"]
{
	/*background: rgba(0,0,0,0.5) !important;
	border-color: rgba(0,0,0,0.5) !important;
	color: #fff !important;*/
}
.sticky-top
{
	top: 15px;
}
.sticky-top.top-0
{
	top: 0px;
}
.sticky-bottom
{
	bottom: 0px;
}
.table td, .table th
{
	padding: 0.5rem 1.25rem;
}

input::placeholder
{
	color: var(--bs-gray) !important;
}
.section-card {
	background: transparent;
	border:0;
}
.section-card > .card-header {
	display: flex;
  align-items: start;
	-ms-flex-direction: row!important;
  flex-direction: row!important;
	padding: 0;
	border: 0;
	background: transparent;
}
.section-card > .card-body {
	display: flex;
  align-items: start;
	-ms-flex-direction: row!important;
  flex-direction: row!important;
	background: var(--bs-white);
	padding: 0;
	border: 1px solid var(--bs-white);
	border-radius: 0 .375rem .375rem .375rem !important;
	transition: all .2s ease-in-out;
	-webkit-transition: all .2s ease-in-out;
}
.section-card .card-body > .card-side-bar {
  display: inline-block;
  width: 48px;
  height: auto;
  align-self: stretch;
	background: var(--bs-white);
	transition: all .2s ease-in-out;
	-webkit-transition: all .2s ease-in-out;
	border-radius: 0 0 0 calc(.375rem - 2px);
	border-right: 1px solid var(--bs-light);
}
.section-card > .card-body > .card-content {
  width: calc(100% - 48px);
	padding: 1.5rem 1.5rem 0 1.5rem;
	border-radius: .375rem;
}
.section-card > .card-header > [class*="col"] {
	border: 1px solid var(--bs-white) !important;
	border-bottom: none !important;
	transition: all .2s ease-in-out;
	-webkit-transition: all .2s ease-in-out;
}
.section-card:hover > .card-header > [class*="col"] {
	color: var(--bs-white) !important;
	background: var(--bs-dark) !important;
	border: 1px solid var(--bs-dark) !important;
	border-bottom: none !important;
}
.section-card:hover > .card-body {
	border: 1px solid var(--bs-dark) !important;
}
.section-card:hover > .card-body > .card-side-bar {
	color: var(--bs-white) !important;
	background: var(--bs-dark) !important;
}

.info-card {
	border: 1px solid var(--bs-light) !important;
	transition: border .2s ease-in-out;
	-webkit-transition: border .2s ease-in-out;
}
.info-card:hover {
	border: 1px solid var(--bs-primary) !important;
}
.info-card > .card-footer {
	padding: 1rem;
	background-color: var(--bs-lighter) !important;
	transition: background .2s ease-in-out;
	-webkit-transition: background .2s ease-in-out;
}
.info-card > .card-footer  [class*="icon-"] {
	color: var(--bs-primary);
}
.info-card:hover > .card-footer {
	color: var(--bs-white) !important;
	background-color: var(--bs-primary) !important;
}
.info-card:hover > .card-footer  [class*="icon-"] {
	color: var(--bs-white);
}

.add-pageitem-form.collapse {
	position: absolute;
  display: block;
  top: 0;
  right: 0px;
	opacity: 0;
	visibility: hidden;
  width: 640px;
  max-width: 640px;
  transform: translateX(100%);
	-webkit-transform: translateX(100%);
}
.add-pageitem-form.dropdown-menu.dropdown-menu-right.show {
	position: absolute;
  display: block;
  top: 0;
  right: 0px;
	left: auto !important;
	opacity:1;
	visibility: visible;
  width: 640px;
  max-width: 640px;
  transform: translateX(100%) !important;
	-webkit-transform: translateX(100%) !important;
	padding: 1rem;
}

.btn:focus, .btn:active:focus, .btn.active:focus, .btn.active {
  box-shadow: none !important;
	cursor: pointer !important;
}

.table.table-pointer tbody tr td
{
	cursor: pointer;
}
.tbl-footer tbody tr td
{
	cursor:default !important;
	border:0 !important;
}
.tbl-footer tbody tr:hover
{
	background:none !important;
}

.custom-file-label
{
	overflow: hidden;
}

/*.list-group-item
{
	position: static !important;
}*/
.list-group-item > .list-group-item
{
	padding-left: 3rem !important;
	margin-left: 0rem !important;
	background: rgba(0,0,0,0.04) !important;
	border: 0 !important;
	margin: 0.1rem 0;
}

.list-group-item > .list-group-item > div
{
	position: relative;
}
.list-group-item > .list-group-item > div:first-of-type::after
{
	content:"\f176";
	font-family: "font awesome 5 pro";
	font-weight: 300;
	position: absolute;
	top: 1rem;
	left: -1.4rem;
	width: 1rem;
	height: 1px;
	color:  rgba(0,0,0,0.25) ;
}
/* Image settings */
.image-box {
  position: relative;
  display: inline-block;
  width: 100%;
  height: 0;
  padding-bottom: 56.25%;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}
.image-box > img, .video-box > img {
	position: absolute;
	top: 0;
	left: 0;
	max-width: none;
	max-height: none;
	height: 100%;
	width: 100%;
	-o-object-fit: cover;
	object-fit: cover;
	-o-object-position: center center;
  object-position: center center;
}
.product-image-box {
  position: relative;
  display: inline-block;
  width: 100%;
  height: 0;
  padding-bottom: 56.25%;
  background-repeat: no-repeat;
  background-size: auto 100%;
  background-position: center;
}
.image-box.ratio-4-3 { padding-bottom: 75% }
.image-box.ratio-16-9  { padding-bottom: 56.25% }
.image-box.ratio-1-1  { padding-bottom: 100% }
.image-box.ratio-9-16  { padding-bottom: 156.25% }
.image-box.ratio-3-4  { padding-bottom: 175% }


/* Image settings end */

/* Video settings */
.video-holder {
  position: absolute;
  width: 100%;
  min-height: 100%;
  top: 0;
  left: 0;
  background-size: cover;
  background-position: center;
  z-index: 0;
  overflow: hidden;
  will-change: transform,opacity,filter;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  background-repeat: no-repeat;
}
.video-holder video {
  position: absolute;
  display: block;
  z-index: 0;
  top: 0;
  left: 0;
  -o-object-fit: cover;
  object-fit: cover;
  height: 100%;
  min-width: 100%;
}
/* Video settings end */

.cursor-pointer
{
	cursor: pointer;
}

.btn-category-select
{
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.btn-category-select.active
{
	background: #19bf8c !important;
	color: #fff !important;
	padding-left: 2rem !important;
}
.btn-category-select.active::before
{
	content:"\f00c";
	font-family: "font awesome 5 pro";
	font-weight: 300;
	position: absolute;

	left: .5rem;
	width: 1rem;
	height: 1px;
	color:  #fff ;
}

/*.nav-tabs .nav-link
{
	background: var(--light);
	color: var(--secondary);
	margin-right: 4px;
	border: 1px solid #dee2e6;
}*/
.confirmDelete
{
	background:rgba(0,0,0,0);
	border-color:rgba(0,0,0,0);
	color: #fff;
}
.active + .confirmDelete
{
	color: #ff4557;
}
.operateBTNs
{
	color: #dee2e6;
}
.active .operateBTNs
{
	color: #d61866;
}

.superShadow,
.btn-success
{
	box-shadow: 4px 0px 15px -10px rgba(13,110,253,0.2), 0px 25px 30px -10px rgba(13,110,253,0.1) !important;
}
.superShadow:hover,
.btn-success:hover
{
	box-shadow: 4px 0px 15px -10px rgba(13,110,253,0.2), 0px 25px 30px -10px rgba(13,110,253,0.1) !important;
}
.shadow-0
{
	box-shadow: 0 0px 0px 0 rgba(0,0,0,.0),0 20px 30px 0 rgba(0,0,0,.0) !important;
}

.textTiny
{
	min-height: 300px;
	height: auto;
	padding: 1rem;
	padding-top: calc( 39px + 1rem )
}

/* DARK MODE */
body.darkMode
{
	color:rgba(200,200,200,1);
}
.darkMode .text-dark
{
	color:rgba(200,200,200,1) !important;
}
.darkMode .navigation-menu a
{
	color:rgba(200,200,200,1);
}
.darkMode .navigation-menu a:hover
{
	border-color: none;
}
.darkMode .border,
.darkMode .border-bottom,
.darkMode .border-left,
.darkMode .border-right,
.darkMode .border-top
{
	border-color: rgba(30,30,30,1) !important;
}
.darkMode .page-wrapper
{
	background: rgba(30,30,30,1);
}
.darkMode .top-side
{
	background: rgba(60,60,60,1) !important;
}
.darkMode .card,
.darkMode .sub-menu
{
	background: rgba(60,60,60,1) ;
}
.darkMode .list-group-item
{
	background: rgba(60,60,60,1) ;
}
.darkMode .list-group-item-action
{
	color:rgba(200,200,200,1);
}
.darkMode .list-group-item-action:hover
{
	color:rgba(240,240,240,1);
}
.darkMode .form-control,
.darkMode .bootstrap-select > .dropdown-toggle,
.darkMode .dropdown-menu
{
	background: rgba(80,80,80,1) !important;
	border-color: rgba(80,80,80,1) !important;
	color:rgba(40,40,40,1) !important;
}
.darkMode .dropdown-item.active,
.darkMode .dropdown-item:active,
.darkMode .dropdown-item:hover
{
	background: rgba(70,70,70,1) !important;
	color:rgba(40,40,40,1) !important;
}
.darkMode input::placeholder
{
	color: rgba(60,60,60,1) !important ;
}


/* Heights */
  .max-vh-100{max-height:100vh!important;}
  .max-vh-75{max-height:75vh!important;}
  .max-vh-50{max-height:50vh!important;}
  .max-vh-33{max-height:33.333vh!important;}
  .max-vh-25{max-height:25vh!important;}
  /* Heights end */


/* DARK MODE */



@media (max-width: 540px) {
	html
	{
		font-size: 12px;
	}
}

/* Custom content breaking points */
@media (min-width: 1140px){
  /* Custom cols */
  .col-xl-fifth{-webkit-box-flex: 0;-ms-flex: 0 0 calc 20%;flex: 0 0 20%;max-width: 20%}
  .col-xl-seventh{-webkit-box-flex: 0;-ms-flex: 0 0 14.286%;flex: 0 0 14.286%;max-width: 14.286%}
  .col-xl-eight{-webkit-box-flex: 0;-ms-flex: 0 0 12.5%;flex: 0 0 12.5%;max-width: 12.5%}
  .col-xl-ninth{-webkit-box-flex: 0;-ms-flex: 0 0 11.111%;flex: 0 0 11.111%;max-width: 11.111%;}
  .col-xl-tenth{-webkit-box-flex: 0;-ms-flex: 0 0 10%;flex: 0 0 10%;max-width: 10%;}
  .col-xl-eleventh{-webkit-box-flex: 0;-ms-flex: 0 0 9.0909%;flex: 0 0 9.0909%;max-width: 9.0909%;}
  /* Custom cols end */

  /* Heights */
  .min-vh-xl-100{min-height:100vh!important;}
  .min-vh-xl-75{min-height:75vh!important;}
  .min-vh-xl-50{min-height:50vh!important;}
  .min-vh-xl-33{min-height:33.333vh!important;}
  .min-vh-xl-25{min-height:25vh!important;}
  /* Heights end */
}
@media (min-width: 1199.98px) {

}
@media (min-width: 991.98px) {
  /* Custom cols */
  .col-lg-fifth{-webkit-box-flex: 0;-ms-flex: 0 0 calc 20%;flex: 0 0 20%;max-width: 20%}
  .col-lg-seventh{-webkit-box-flex: 0;-ms-flex: 0 0 14.286%;flex: 0 0 14.286%;max-width: 14.286%}
  .col-lg-eight{-webkit-box-flex: 0;-ms-flex: 0 0 12.5%;flex: 0 0 12.5%;max-width: 12.5%}
  .col-lg-ninth{-webkit-box-flex: 0;-ms-flex: 0 0 11.111%;flex: 0 0 11.111%;max-width: 11.111%;}
  .col-lg-tenth{-webkit-box-flex: 0;-ms-flex: 0 0 10%;flex: 0 0 10%;max-width: 10%;}
  .col-lg-eleventh{-webkit-box-flex: 0;-ms-flex: 0 0 9.0909%;flex: 0 0 9.0909%;max-width: 9.0909%;}
  /* Custom cols end */

  /* Heights */
  .min-vh-lg-100{min-height:100vh!important;}
  .min-vh-lg-75{min-height:75vh!important;}
  .min-vh-lg-50{min-height:50vh!important;}
  .min-vh-lg-33{min-height:33.333vh!important;}
  .min-vh-lg-25{min-height:25vh!important;}
  /* Heights end */
}
@media (min-width: 767.98px) {

  .time-line::before {
    right: auto;
    left: 3rem;
  }
  .time-line-item-date, .time-line-item-left .time-line-item-date { left: 1rem; right: auto; }
  .time-line-item-descr { padding: 1.5rem 4rem 1.5rem 7rem; }

  /* Custom cols */
  .col-md-fifth{-webkit-box-flex: 0;-ms-flex: 0 0 calc 20%;flex: 0 0 20%;max-width: 20%}
  .col-md-seventh{-webkit-box-flex: 0;-ms-flex: 0 0 14.286%;flex: 0 0 14.286%;max-width: 14.286%}
  .col-md-eight{-webkit-box-flex: 0;-ms-flex: 0 0 12.5%;flex: 0 0 12.5%;max-width: 12.5%}
  .col-md-ninth{-webkit-box-flex: 0;-ms-flex: 0 0 11.111%;flex: 0 0 11.111%;max-width: 11.111%;}
  .col-md-tenth{-webkit-box-flex: 0;-ms-flex: 0 0 10%;flex: 0 0 10%;max-width: 10%;}
  .col-md-eleventh{-webkit-box-flex: 0;-ms-flex: 0 0 9.0909%;flex: 0 0 9.0909%;max-width: 9.0909%;}
  /* Custom cols end */

  /* Heights */
  .min-vh-md-100{min-height:100vh!important;}
  .min-vh-md-75{min-height:75vh!important;}
  .min-vh-md-50{min-height:50vh!important;}
  .min-vh-md-33{min-height:33.333vh!important;}
  .min-vh-md-25{min-height:25vh!important;}
  /* Heights end */
}
@media (min-width: 575.98px) {
  /* Custom cols */
  .col-sm-fifth{-webkit-box-flex: 0;-ms-flex: 0 0 calc 20%;flex: 0 0 20%;max-width: 20%}
  .col-sm-seventh{-webkit-box-flex: 0;-ms-flex: 0 0 14.286%;flex: 0 0 14.286%;max-width: 14.286%}
  .col-sm-eight{-webkit-box-flex: 0;-ms-flex: 0 0 12.5%;flex: 0 0 12.5%;max-width: 12.5%}
  .col-sm-ninth{-webkit-box-flex: 0;-ms-flex: 0 0 11.111%;flex: 0 0 11.111%;max-width: 11.111%;}
  .col-sm-tenth{-webkit-box-flex: 0;-ms-flex: 0 0 10%;flex: 0 0 10%;max-width: 10%;}
  .col-sm-eleventh{-webkit-box-flex: 0;-ms-flex: 0 0 9.0909%;flex: 0 0 9.0909%;max-width: 9.0909%;}
  /* Custom cols end */

  /* Heights */
  .min-vh-sm-100{min-height:100vh!important;}
  .min-vh-sm-75{min-height:75vh!important;}
  .min-vh-sm-50{min-height:50vh!important;}
  .min-vh-sm-33{min-height:33.333vh!important;}
  .min-vh-sm-25{min-height:25vh!important;}
  /* Heights end */

	/* Positions */
	.position-sm-absolute{position:absolute !important;}
	/* Positions */
}

/* Custom content breaking points end*/


[aria-expanded="false"][data-target*="#text-area-"] .fa-chevron-down::before {
	content: "\f078";
}
/*[aria-expanded="false"][data-target*="#text-area-"]::before {
	content: "Zobrazit";
	font-size: 80%;
	margin-right: .5rem;
	text-transform: uppercase;
}*/
[aria-expanded="true"][data-target*="#text-area-"] .fa-chevron-down::before {
	content: "\f077";
}
/*[aria-expanded="true"][data-target*="#text-area-"]::before {
	content: "Skrýt";
	font-size: 80%;
	margin-right: .5rem;
	text-transform: uppercase;
}*/

/* TinyMCE*/
.tox-tinymce {
	border-radius: 0.375rem !important;
}

/* Plupload */
.plupload_header {
	background: none !important;
}
.plupload_header_content {
	background: none !important;
	min-height: auto !important;
	padding-left: 0 !important;
	color: var(--bs-dark) !important;
}
.plupload_header_title {
	font-family: 'Roboto' !important;
  padding: 0 !important;
  font-size: 0  !important;
}
.plupload_header_text {
	font: normal 0.75rem Roboto !important;
}
.plupload_filelist_header {
	border: none !important;
	padding: 1rem 0 !important;
}
.plupload_filelist_header, .plupload_filelist_footer {
	background: #fff !important;
  padding: 8px 8px;
  color: var(--bs-dark) !important;
}
.plupload_scroll .plupload_filelist {
  height: 185px;
  background: #f8f9fa !important;
  overflow-y: scroll;
}
.plupload_filelist li {
	background: rgba(0,3,33,0.05) !important;
	border-bottom: none !important;
}
li.plupload_delete a {
	background: none !important;
	text-align: center !important;
}
li.plupload_delete a::before {
	content: '\f2ed'!important;
	font-family: 'Font Awesome 6 Pro'!important;
	color: var(--bs-danger)!important;
	font-weight: 300!important;
	font-size: 1rem!important;
}
li.plupload_done a {
	background: none !important;
	text-align: center !important;
}
li.plupload_done a::before {
	content: '\f00c'!important;
	font-family: 'Font Awesome 6 Pro'!important;
	color: var(--bs-primary)!important;
	font-weight: 300!important;
	font-size: 1rem!important;
}
.plupload_filelist_footer {
	height: auto !important;
	padding:1rem 0 !important;
}
.plupload_button {
	display: inline-block!important;
	font-weight: 400!important;
	text-align: center!important;
	vertical-align: middle!important;
	-webkit-user-select: none!important;
	-moz-user-select: none!important;
	-ms-user-select: none!important;
	user-select: none!important;
	border: 1px solid var(--bs-primary)!important;
	padding: 0.25rem 0.5rem !important;
	font-size: .875rem!important;
	line-height: 1.5!important;
	border-radius: 0.2rem!important;
  transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out!important;
  background-color: var(--bs-primary)!important;
	background-image: none!important;
  color: var(--bs-white)!important;
}
.plupload_button.plupload_disabled {
	border-color: #ced4da!important;
	background-color: #ced4da!important;
	background-image: none!important;
  color: #fff!important;
}
#photogalleryUploader_filelist { padding: 0; }

/* Datatables */
table.dataTable {
	display: table;
	margin: 1rem !important;
	width: calc(100% - 2rem) !important;
}
table.dataTable.fixedHeader-floating {
	margin:  0 !important;
}
table.dataTable thead {
    background-color: var(--bs-lighter);
    color: var(--bs-dark);
    border-top-left-radius: .375rem !important;
    border-top-right-radius: .375rem !important;
}
table.dataTable thead tr {
    border-top-left-radius: .375rem !important;
    border-top-right-radius: .375rem !important;
}
table.dataTable thead tr td:first-of-type {
    border-top-left-radius: .375rem !important;
}
table.dataTable thead tr td:last-of-type {
    border-top-right-radius: .375rem !important;    
}
table.dataTable thead tr td .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
    width: 100%;
}
table.dataTable thead tr td:first-of-type .bootstrap-select > .btn.btn-outline-light.dropdown-toggle {
    border-color: var(--bs-light);
    margin: calc(-.5rem - 1px) calc(-1.25rem - 1px);
    background-color: var(--bs-white) !important;
    border-top-left-radius: .375rem !important;
    border-top-right-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}
table.dataTable thead tr td:first-of-type .bootstrap-select > .dropdown-menu {
    border: 1px solid var(--bs-light);
    border-top: none;
}
table.dataTable>thead .sorting:before, table.dataTable>thead .sorting:after, table.dataTable>thead .sorting_asc:before, table.dataTable>thead .sorting_asc:after, table.dataTable>thead .sorting_desc:before, table.dataTable>thead .sorting_desc:after, table.dataTable>thead .sorting_asc_disabled:before, table.dataTable>thead .sorting_asc_disabled:after, table.dataTable>thead .sorting_desc_disabled:before, table.dataTable>thead .sorting_desc_disabled:after {
    position: absolute;
    bottom: .65em !important;
    display: block;
}
table.dataTable td, table.dataTable th {
	vertical-align: middle;
}
table.dataTable tbody>tr.even {
	background-color: var(--bs-white-hover);
}
table.datatable tbody>tr:hover, table.dataTable tbody>tr.even:hover {
	background-color: var(--bs-lighter);
}

table.dataTable tbody>tr.selected, table.dataTable tbody>tr>.selected {
	background-color: var(--bs-light) !important;
	color: var(--bs-dark) !important;
}
div.dataTables_wrapper div.dataTables_paginate {
	display: inline-flex;
  	flex-wrap: nowrap;
  	align-items: center;
  	justify-content: center;
	padding: 1rem;
	float: right;
}
div.dataTables_wrapper div.dt-buttons {
	display: inline-flex;
	flex-wrap: nowrap;
	justify-content: flex-start;
	align-items: center;
	padding: 1rem;
	float: left;
}
div.dataTables_wrapper div.dt-buttons .buttons-collection.dropdown-toggle::after {
	margin-left: .5rem !important;
}
div.dataTables_wrapper div.dataTables_info {
  	display: inline-flex;
  	flex-wrap: nowrap;
  	justify-content: flex-start;
  	align-items: center;
  	padding:1rem;
	float: left;
}
div.dataTables_wrapper div.dataTables_filter {
	display: inline-flex;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-items: center;
  padding: 1rem;
}
div.dataTables_wrapper div.dataTables_filter input[type=search] {
	margin-left: 0 !important;
}

:root .scopeWrapper {
	--blue: #007bff;
  --indigo: #6610f2;
  --purple: #6f42c1;
  --pink: #e83e8c;
  --red: #dc3545;
  --orange: #fd7e14;
  --yellow: #ffc107;
  --green: #28a745;
  --teal: #20c997;
  --cyan: #17a2b8;
  --gray: #6c757d;
  --gray-dark: #343a40;
  --primary: #E3007C;
  --primary-hover: #E22395;
  --secondary: #FFB600;
  --secondary-hover: #FFC033;
  --success: #86BA90;
  --success-hover: #93C99C;
  --info: #8A9499;
  --info-hover: #9EAAAF;
  --warning: #FFB600;
  --warning-hover: #F9F9F9;
  --danger: #F34213;
  --danger-hover: #F25130;
  --white: #fff;
  --white-hover: #f4f4f4;
  --light: #EAEAEA;
  --light-hover: #F2F2F2;
  --dark: #343A40;
  --dark-hover: #3F464C;
  --breakpoint-xs: 448px;
  --breakpoint-sm: 576px;
  --breakpoint-md: 768px;
  --breakpoint-lg: 992px;
  --breakpoint-xl: 1280px;
  --breakpoint-xl: 1420px;
  --font-family-sans-serif: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  --font-family-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
	color: var(--dark);
}


@media (max-width: 991.9999px) {
	.top-side {
		position: absolute;
		top: 0;
		left: 0;
		max-width: 100%;
		width: 100%;
		height: auto;
	}
	.top-side .min-vh-100 {
		min-height: 0 !important;
		flex-direction: row !important;
		align-items: center !important;
	}
	.logo-321-webadmin {
		min-height: 0 !important;
	}
	.logo-321-webadmin > a {
		top: 0;
	}
	
	.top-side .min-vh-100 .col-12 {
		margin:0 !important;
		padding: 1rem !important;
	}
	.top-side .min-vh-100 .logo-321-webadmin {
		order: 1;
		flex-basis: 0;
		flex-grow: 1;
		max-width: 100%;
	}
	.top-side .min-vh-100 .col-12:not(.logo-321-webadmin) {
		order: 2;
		-ms-flex: 0 0 auto;
		flex: 0 0 auto;
		width: auto !important;
		max-width: 100%;
	}
	.top-side .min-vh-100 #menu {
		order: 3;
		-ms-flex: 0 0 auto;
		flex: 0 0 auto;
		width: auto !important;
		max-width: 100%;
		padding: 0.5rem !important;
	}
	.page-wrapper {
		width: 100%;
		display: inline-block;
		margin: 0;
		margin-left: 0px;
		margin-top: 66px;
		padding: 2rem 1rem 0 1rem;
		z-index: 0;
	  }
	  .left-side,
	  .right-side {
		flex: 0 0 100%;
		max-width: 100%;
	  }
	  .left-side {
		order: 2;
	  }
	  .navigation-menu .hidden-menu.show-menu {
		max-width: 100%;
		position: fixed;
		left: 0;
		height: 100%;
		display: flex !important;
		align-items: start !important;
		justify-content: flex-start !important;
		flex-wrap: wrap;  
		overflow: auto;
		align-content: flex-start;
	  }
	  .navigation-menu .hidden-menu.show-menu .menu-item {
		flex: 0 0 50%;
		max-width: 50%;
		margin: 0 !important;
		padding: 1rem;
	  }
}


.masonryGallery .row > .col >.row {
	column-count: 2;
	column-gap: 0rem;
	display: block;
}

.masonryGallery.threeColumns .row > .col >.row {
	column-count: 2;
	column-gap: 0rem;
	display: block;
}
.masonryGallery.fourColumns .row > .col >.row {
	column-count: 2;
	column-gap: 0rem;
	display: block;
}

@media (min-width: 992px) {
	.masonryGallery .row > .col >.row {
		column-count: 2;
		column-gap: 0rem;
		display: block;
	}

	.masonryGallery.threeColumns .row > .col >.row {
		column-count: 3;
		column-gap: 0rem;
		display: block;
	}
	.masonryGallery.fourColumns .row > .col >.row {
		column-count: 4;
		column-gap: 0rem;
		display: block;
	}
}


 
